
package AOMCase;

import com.metamaxim.modelscope.callbacks.*;

public class DeclineRequest extends Event {

  public void handleEvent() {
	  //Send the Decline Request event to the model to change its state to declined
	  this.submitToModel();
	  // Try to find another Resource for the Mission
	  ResourceFinder.seekResource(this, this.getInstance("Assignment Request").getInstance("For Mission"));
	}

}


